package ink.wgink.module.map.pojo.pos.grid;

import java.io.Serializable;

/**
 * @ClassName: GridGroupVO
 * @Description: 网格组
 * @Author: wanggeng
 * @Date: 2021/10/19 10:34 下午
 * @Version: 1.0
 */
public class GridGroupPO implements Serializable {

    private static final long serialVersionUID = -3846496038237663121L;
    private Long id;
    private String gridGroupId;
    private String gridGroupName;
    private String gridGroupCode;
    private String gridGroupSummary;
    private String gridGroupDuty;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public Long getId() {
        return id == null ? 0 : id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getGridGroupId() {
        return gridGroupId == null ? "" : gridGroupId.trim();
    }

    public void setGridGroupId(String gridGroupId) {
        this.gridGroupId = gridGroupId;
    }

    public String getGridGroupName() {
        return gridGroupName == null ? "" : gridGroupName.trim();
    }

    public void setGridGroupName(String gridGroupName) {
        this.gridGroupName = gridGroupName;
    }

    public String getGridGroupCode() {
        return gridGroupCode == null ? "" : gridGroupCode.trim();
    }

    public void setGridGroupCode(String gridGroupCode) {
        this.gridGroupCode = gridGroupCode;
    }

    public String getGridGroupSummary() {
        return gridGroupSummary == null ? "" : gridGroupSummary.trim();
    }

    public void setGridGroupSummary(String gridGroupSummary) {
        this.gridGroupSummary = gridGroupSummary;
    }

    public String getGridGroupDuty() {
        return gridGroupDuty == null ? "" : gridGroupDuty.trim();
    }

    public void setGridGroupDuty(String gridGroupDuty) {
        this.gridGroupDuty = gridGroupDuty;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }
}
